### Method

# Shumate PathLayer insert_node

#### Declaration [src]

    void
    shumate_path_layer_insert_node (
      ShumatePathLayer* self,
      ShumateLocation* location,
      guint position
    )

#### Description [src]

Inserts a `ShumateLocation` object to the specified position.

#### Parameters

`location`

  Type: `ShumateLocation`

  A `ShumateLocation`.

  The data is owned by the caller of the method.

`position`

  Type: `guint`

  Position in the list where the `ShumateLocation` object should be inserted.